Integration Request Flows
curl --request GET \
--url https://production.trackstarhq.com/integration-requests/flows \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/integration-requests/flows"
headers = {"x-trackstar-api-key": "<x-trackstar-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-trackstar-api-key': '<x-trackstar-api-key>'}};
fetch('https://production.trackstarhq.com/integration-requests/flows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"flows": [
{
"value": "read_orders",
"label": "Orders & shipments",
"direction": "read",
"integration_type": "wms"
}
]
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Admin API Reference
Integration Request Flows
The flows you can ask for when requesting a new integration. Use the value of each in the flows field of an integration request.
GET
/
integration-requests
/
flows
Integration Request Flows
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Query Parameters
Only return flows for this integration type. Omit to get every type.
Available options:
wms, cart, carrier Example:
"wms"
Response
Successful response
The flows you can ask for on an integration request.
Show child attributes
Show child attributes